<?php
/* timeclick Pro
 * Author 夜星空
 * Lasttime 2024/07/12
 * Version  1.0
 * Downurl  http://www.yeskylog.com
 */
error_reporting(E_ALL ^ E_NOTICE);

@set_time_limit(10000);

define('EmpireCMSAdmin','1');
require('../../../class/connect.php');
require('../../../class/db_sql.php');
require('../../../class/functions.php');
$link=db_connect();
$empire=new mysqlquery();
$editor=2;

if(file_exists("install.off"))
{
	echo"安装程序已锁定。如果要重新安装或卸载，请删除插件目录下的<b>install.off</b>文件！";
	exit();
}

//初始化插件信息
$ename = '点击排行榜插件Pro';
$downurl = 'http://www.yeskylog.com';
$author = '夜星空';
$lasttime ='2024/07/12';
$version = '1.0';
$desc = '安装后建议您立即删除install安装目录。';

if($_GET['ecms']=="install")
{
	$phome_db_dbchar=file_exists('../../../config/config.php')?$ecms_config['db']['dbchar']:$phome_db_dbchar;
	$doinstall=$_GET['doinstall'];
	if($doinstall=='install')//安装操作
	{
		include('install.php');
		$word='已安装完毕!</br>建议您立即删除install安装目录。';
	}
	elseif($doinstall=='uninstall')//卸载操作
	{
		include('uninstall.php');
		$word='已卸载完毕!';
	}
	echo $ename.$word;
	exit();
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title><?=$ename?>插件安装/卸载程序</title>
<style>
/* Basic Grey */
body{font:12px '微软雅黑',"Times New Roman",Times,serif;color:#000;background:url(body-bg.jpg) repeat;}
div{margin:0}
.basic-grey{margin-left:auto;margin-right:auto;max-width:600px;background:#F7F7F7;padding:25px 0;text-shadow:1px 1px 1px #FFF;border:1px solid #E4E4E4; margin-top:10%;}
.basic-grey h1{font-size:25px;padding:0 10px 10px 40px;display:block;border-bottom:1px solid #E4E4E4;color:#333;}
.basic-grey h1>span{display:block;font-size:11px;margin-top:10px}
.basic-grey .row { margin-top:15px;padding-left: 40px;}
input[type=radio]{margin-top:10px}
.operation{height:50px;line-height:50px;padding-left:40px}
.basic-grey .msg{padding:20px 0px;height:80px;font-family:'宋体'; color:#666;}
.basic-grey .button{padding: 10px 30px 10px 30px;
background: #66C1E4;
border: none;
color: #FFF;
box-shadow: 1px 1px 1px #4C6E91;
-webkit-box-shadow: 1px 1px 1px #4C6E91;
-moz-box-shadow: 1px 1px 1px #4C6E91;
text-shadow: 1px 1px 1px #5079A3;cursor:pointer}
.basic-grey .button:hover{background:#3EB1DD}
.clear{margin:5px 0; border-bottom:1px solid #E4E4E4;}
</style>

<script>
function CheckUpdate(obj){
	if(confirm('确认操作?'))
	{
		obj.updatebutton.disabled=true;
		return true;
	}
	return false;
}
</script>
</head>
<body>
<div class="basic-grey">
  <form method="GET" action="index.php" name="formupdate" onSubmit="return CheckUpdate(document.formupdate);">
    <h1>
      <?=$ename?>
      <span>插件安装/卸载程序.</span>
    </h1>
    <div class="operation"> <span>选择操作：</span>
      <input name="doinstall" type="radio" value="install" checked>
      安装
      <input type="radio" name="doinstall" value="uninstall">
      卸载
    </div>
    <div class="clear"></div>
    <div class="row">
      <input type="submit" class="button" name="updatebutton" value="提交操作">
      <input name="ecms" type="hidden" id="ecms" value="install">
    </div>
    <div class="row">
      <div class="msg"> 
      </br>作者：<?=$author?>
      </br>下载地址：<a target="_blank" href="<?=$downurl?>" title="<?=$ename?>-<?=$author?>"><?=$downurl?></a>
      </br>版本号：<?=$version?>
      </br>最后更新：<?=$lasttime?>      
      </br>温馨提示：<?=$desc?>
       </div>
    </div>
  </form>
</div>
</body>
</html>